summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/changelog8
-rw-r--r--debian/libpam-modules.preinst2
-rw-r--r--debian/libpam0g.postinst4
-rw-r--r--debian/libpam0g.symbols1
4 files changed, 12 insertions, 3 deletions
diff --git a/debian/changelog b/debian/changelog
index f34f5b92..5d33b56d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+pam (1.1.1-1ubuntu1) UNRELEASED; urgency=low
+
+ * Document the new symbols added in 1.1.1 in debian/libpam0g.symbols, and
+ raise the minimum version for the service restarting code.
+ Closes: #568480.
+
+ -- Steve Langasek <steve.langasek@ubuntu.com> Thu, 04 Feb 2010 21:17:59 -0800
+
pam (1.1.1-1) unstable; urgency=low
* New upstream version.
diff --git a/debian/libpam-modules.preinst b/debian/libpam-modules.preinst
index 486c6016..ceca533c 100644
--- a/debian/libpam-modules.preinst
+++ b/debian/libpam-modules.preinst
@@ -4,7 +4,7 @@ set -e
. /usr/share/debconf/confmodule
-if dpkg --compare-versions "$2" lt-nl 1.1.0; then
+if dpkg --compare-versions "$2" lt-nl 1.1.1-2; then
db_version 2.0
if pidof xscreensaver xlockmore >/dev/null; then
diff --git a/debian/libpam0g.postinst b/debian/libpam0g.postinst
index 8c72cf65..9eaa594c 100644
--- a/debian/libpam0g.postinst
+++ b/debian/libpam0g.postinst
@@ -85,7 +85,7 @@ installed_services() {
if [ "$1" = "configure" ]
then
if [ ! -z "$2" ]; then
- if dpkg --compare-versions "$2" lt 1.1.0; then
+ if dpkg --compare-versions "$2" lt 1.1.1-2; then
db_version 2.0
echo -n "Checking for services that may need to be restarted..."
@@ -186,7 +186,7 @@ then
# Shut down the frontend, to make sure none of the
# restarted services keep a connection open to it
db_stop
- fi # end upgrading and $2 lt 1.1.0
+ fi # end upgrading and $2 lt 1.1.1-2
fi # Upgrading
fi
diff --git a/debian/libpam0g.symbols b/debian/libpam0g.symbols
index 48785e4f..d68b2a4a 100644
--- a/debian/libpam0g.symbols
+++ b/debian/libpam0g.symbols
@@ -2,6 +2,7 @@ libpam.so.0 libpam0g #MINVER#
*@LIBPAM_1.0 0.99.7.1
*@LIBPAM_EXTENSION_1.0 0.99.7.1
*@LIBPAM_EXTENSION_1.1 1.1.0
+ *@LIBPAM_EXTENSION_1.1.1 1.1.1
*@LIBPAM_MODUTIL_1.0 0.99.7.1
*@LIBPAM_MODUTIL_1.1 0.99.10.0
libpam_misc.so.0 libpam0g #MINVER#